import { aws_eks, aws_aps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
interface AmpProps {
    readonly cluster: aws_eks.Cluster;
    readonly namespace: string;
    readonly createPrometheusWorkspace: Boolean;
    readonly prometheusEndpoint?: string;
}
export declare class Amp extends Construct {
    aps_workspace: aws_aps.CfnWorkspace | undefined;
    prometheus_endpoint: string | undefined;
    constructor(scope: Construct, id: string, props: AmpProps);
}
export {};
