import { aws_eks } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export interface TelemetryProps {
    readonly cluster: aws_eks.Cluster;
    readonly namespace: string;
    readonly cacertname: String;
    readonly dnsNames: String[];
    readonly hostedZoneName: string;
    readonly clusterIssuerName: String;
    readonly createPrometheusWorkspace: Boolean;
    readonly prometheusEndpoint?: string;
}
export declare class Telemetry extends Construct {
    private options;
    prometheusEndpoint: string | undefined;
    constructor(scope: Construct, id: string, props: TelemetryProps);
}
